define("smashThePigComponentsBannerDeclaration", ["componentmodelComponentApi", "gameLayoutApi", "clientkernelEventbusApi", "smashthepigComponentsBannerPort"],
    function(componentmodelComponentApi, gameLayoutApi, clientkernelEventbusApi, smashthepigComponentsBannerPort) {
        "use strict";

        function $iterator(o) {
            if (o instanceof Array) return function() {
                return {
                    cur: 0,
                    arr: o,
                    hasNext: function() {
                        return this.cur < this.arr.length;
                    },
                    next: function() {
                        return this.arr[this.cur++];
                    }
                };
            };
            return typeof(o.iterator) == 'function' ? $bind(o, o.iterator) : o.iterator;
        };;
        var $fid = 0;

        function $bind(o, m) {
            if (m == null) return null;
            if (m.__id__ == null) m.__id__ = $fid++;
            var f;
            if (o.hx__closures__ == null) o.hx__closures__ = {};
            else f = o.hx__closures__[m.__id__];
            if (f == null) {
                f = function() {
                    return f.method.apply(f.scope, arguments);
                };
                f.scope = o;
                f.method = m;
                o.hx__closures__[m.__id__] = f;
            }
            return f;
        };
        var $_;
        var $estr = function() {
            return _hcmn_.js_Boot.__string_rec(this, '');
        };
        if (typeof haxe == 'undefined') {
            var haxe = {};
        };

        haxe.IMap = function() {}
        haxe.IMap.prototype = {

        };
        if (typeof smashThePigComponentsBannerDeclaration == 'undefined') {
            var smashThePigComponentsBannerDeclaration = {};
        };
        smashThePigComponentsBannerDeclaration.BannerDeclaration = function() {};
        smashThePigComponentsBannerDeclaration.BannerDeclaration = ck_implements(smashThePigComponentsBannerDeclaration.BannerDeclaration, componentmodelComponentApi.IComponentDeclaration);
        smashThePigComponentsBannerDeclaration.BannerDeclaration.__interfaces__ = [componentmodelComponentApi.IComponentDeclaration];
        smashThePigComponentsBannerDeclaration.BannerDeclaration.__name__ = ["smashThePigComponentsBannerDeclaration", "BannerDeclaration"];
        smashThePigComponentsBannerDeclaration.BannerDeclaration.prototype.getChildComponents = function() {
            return null;
        };
        smashThePigComponentsBannerDeclaration.BannerDeclaration.prototype.getReferredComponents = function() {
            return null;
        };
        smashThePigComponentsBannerDeclaration.BannerDeclaration.prototype.getImplementedPorts = function() {
            return [smashthepigComponentsBannerPort.IBannerImplementationPort];
        };
        smashThePigComponentsBannerDeclaration.BannerDeclaration.prototype.getUsedPorts = function() {
            return [gameLayoutApi.IGameLayoutPort];
        };
        smashThePigComponentsBannerDeclaration.BannerDeclaration.prototype.__class__ = smashThePigComponentsBannerDeclaration.BannerDeclaration;
        return {
            exports: smashThePigComponentsBannerDeclaration
        };
    });
//# sourceURL=smashThePigBannerDeclaration.js